Subject: Re: [PATCH 2/3] bridge: Add filtering support for default_pvid

From: Vlad Yasevich <[email-masked]>
Date: Tue, 16 Sep 2014 09:23:41 -0400

On 09/16/2014 07:10 AM, Toshiaki Makita wrote:
> On 2014/09/16 0:09, Vlad Yasevich wrote:
>> On 09/14/2014 11:21 AM, Toshiaki Makita wrote:
>>> (14/09/13 (土) 5:44), Vladislav Yasevich wrote:
>>>> Currently when vlan filtering is turned on on the bridge, the bridge
>>>> will drop all traffic untill the user configures the filter.  This
>>>> isn't very nice for ports that don't care about vlans and just
>>>> want untagged traffic.
>>>>
>>>> A concept of a default_pvid was recently introduced.  This patch
>>>> adds filtering support for default_pvid.   Now, ports that don't
>>>> care about vlans and don't define there own filter will belong
>>>> to the VLAN of the default_pvid and continue to receive untagged
>>>> traffic.
>>>
>>> If user sets pvid, then vid 1 (default_pvid) will become non-pvid but
>>> still not be filtered, right?
>>
>> Right.
>>
>>> vlan_bitmap of default_pvid shouldn't be cleared on setting pvid?
>>
>> I can see arguments for both.  Just because the user wishes to set a
>> different pvid may not always mean that vlan associated with default pvid
>> shouldn't be filtered.  I think it's at user's discretion.  I hesitate
>> to do too many things automatically.
> 
> On second thought, I agree with you.
> It's reasonable that what default_pvid should do is only to set pvid on
> adding a bridge/port.
> 
> My another concern is how we can disable default_pvid, since this
> feature is originally non-existent.

My knee-jerk reaction is to disable it with a value of 0, but I am trying
to think of a way to address Stephen's comment.

The other alternative might be to use any invalid vlan id to disable it.

-vlad
> Thanks,
> Toshiaki Makita